summaryrefslogtreecommitdiff
path: root/src/run.bash
diff options
context:
space:
mode:
authorAndrew Gerrand <adg@golang.org>2013-07-30 09:42:53 +1000
committerAndrew Gerrand <adg@golang.org>2013-07-30 09:42:53 +1000
commit2bc30423d89354dc9f0e9bbf9c9e4112fef07c3d (patch)
treef16140722b8d7730dc7d83a6302ddb642c385a3f /src/run.bash
parent3de0ce8e68db6d1b567ddc3b3e02ce1671bd0098 (diff)
downloadgo-2bc30423d89354dc9f0e9bbf9c9e4112fef07c3d.tar.gz
doc/codewalk: test source code
Fixes issue 2648. R=golang-dev, r CC=golang-dev https://codereview.appspot.com/11331043
Diffstat (limited to 'src/run.bash')
-rwxr-xr-xsrc/run.bash5
1 files changed, 1 insertions, 4 deletions
diff --git a/src/run.bash b/src/run.bash
index 4d8d04bfb..24bcd3f22 100755
--- a/src/run.bash
+++ b/src/run.bash
@@ -152,10 +152,7 @@ make clean || exit 1
) || exit $?
(xcd ../doc/codewalk
-# TODO: test these too.
-go build pig.go || exit 1
-go build urlpoll.go || exit 1
-rm -f pig urlpoll
+time ./run || exit 1
) || exit $?
echo